--TEST--
Text::Flowed tests
--FILE--
<?php

ini_set('include_path', '/httpd/htsdocs/horde/libs' . PATH_SEPARATOR . ini_get('include_path'));

require_once 'Horde/Util.php';
require_once 'Horde/String.php';
require dirname(__FILE__) . '/../Flowed.php';

echo "[FIXED -> FLOWED]\n";

$flowed = &new Text_Flowed("Hello, world!");
echo $flowed->toFlowed() . "\n";

$flowed = &new Text_Flowed("Hello, \nworld!");
echo $flowed->toFlowed() . "\n";

$flowed = &new Text_Flowed("Hello, \n world!");
echo $flowed->toFlowed() . "\n";

$flowed = &new Text_Flowed("From");
echo $flowed->toFlowed() . "\n";

// See Bug #2969
$flowed = &new Text_Flowed("   >--------------------------------------------------------------------------------------------------------------------------------");
echo $flowed->toFlowed() . "\n";

?>
--EXPECT--
[FIXED -> FLOWED]
Hello, world!

Hello,
world!

Hello,
  world!

 From

  
>--------------------------------------------------------------------------------------------------------------------------------
